Updates the serial number version history for a meter
Use this endpoint to change a meter’s serial number and record the change date in the serial number history.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | Unique numeric identifier of the meter | integer (int32) | Required |
Request Body
MeterSerialNumberHistoryRequest
| Property | Description | Type |
|---|---|---|
| newSerialNumber | Serial number that will replace the existing one Required Must be between 0 and 255 characters | string |
| serialNumberChangeDate | Date that serial number changed Required (defined) | string (date-time) |
Example Request Body
{ "newSerialNumber": "string", "serialNumberChangeDate": "2026-06-29"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
MeterSerialNumberHistoryResponse
| Property | Description | Type | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| meterId | Meter identifier Required (defined) | integer (int32) | |||||||||
| serialNumber | Serial number of the meter Required (defined) | string | |||||||||
| serialNumberHistory | MeterSerialNumberHistoryChild | ||||||||||
|
MeterSerialNumberHistoryChild properties
|
|||||||||||
Example Response
{ "meterId": 1, "serialNumber": "string", "serialNumberHistory": { "previousSerialNumber": "string", "serialNumberChangeDate": "2026-06-29"
}
}
404
Not Found
The requested resource was not found. Verify the ID or path is correct.